﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGIndentCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleParentData> Data { get; set; }
        
        SampleParentData SPD1 = new SampleParentData() { Name = "Andrew", ID = 12345 };
        SampleParentData SPD2 = new SampleParentData() { Name = "Jen", ID = 23456 };

        ChildData1 C1 = new ChildData1() { Name = "Alex", ID = 34567 };
        ChildData1 C2 = new ChildData1() { Name = "Robert", ID = 45678 };
        ChildData1 C3 = new ChildData1() { Name = "Marianne", ID = 12357 };
        ChildData1 C4 = new ChildData1() { Name = "Eric", ID = 85838 };

        ChildData2 C11 = new ChildData2() { Name = "Valerie", ID = 32457 };
        ChildData2 C12 = new ChildData2() { Name = "Pat", ID = 30012 };
        ChildData2 C21 = new ChildData2() { Name = "Steve", ID = 32457 };
        ChildData2 C22 = new ChildData2() { Name = "Lisa", ID = 30012 };
        ChildData2 C31 = new ChildData2() { Name = "Graham", ID = 32457 };
        ChildData2 C32 = new ChildData2() { Name = "Pamela", ID = 30012 };

        public ViewModel()
        {
            Data = new ObservableCollection<SampleParentData>();

            C1.Child2.Add(C11);
            C1.Child2.Add(C12);
            C2.Child2.Add(C21);
            C2.Child2.Add(C22);
            C3.Child2.Add(C31);
            C3.Child2.Add(C32);
                        
            SPD1.Child1.Add(C1);
            SPD1.Child1.Add(C2);
            SPD2.Child1.Add(C3);
            SPD2.Child1.Add(C4);

            Data.Add(SPD1);
            Data.Add(SPD2);

        }

    }

    public class SampleParentData
    {
        public string Name { get; set; }
        public int ID { get; set; }
        public ObservableCollection<ChildData1> Child1 { get; set; }

        public SampleParentData()
        {
            Child1 = new ObservableCollection<ChildData1>();
        }
    }

    public class ChildData1
    {
        public ObservableCollection<ChildData2> Child2 { get; set; }

        public string Name { get; set; }
        public int ID { get; set; }
        public ChildData1()
        {
            Child2 = new ObservableCollection<ChildData2>();
        }
    }

    public class ChildData2
    {
        public string Name { get; set; }
        public int ID { get; set; }
    }
}
