﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGIndentCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
            
        }

        private void XamDataGrid_Loaded(object sender, RoutedEventArgs e)
        {
            XamDataGrid XDG = ((XamDataGrid)sender);

            for (int i = 0; i < XDG.FieldLayouts.Count; i++)
            {
                FieldLayout FL = XDG.FieldLayouts[i];
                Style s = new Style(typeof(DataRecordPresenter));
                s.Setters.Add(new Setter(DataRecordPresenter.MarginProperty, new Thickness((i*20), 0,0,0)));

                FL.Settings.DataRecordPresenterStyle = s;
            }            
        }
    }
}
